<?php
/**
 * AbstractSQLBuilder
 * DB種類ごとのBuilderのインターフェースクラス。
 * $Id: AbstractSQLBuilder.inc,v 1.1 2015/10/08 11:18:56 wanggb Exp $
 * @author iimuro
 * @access public
 * @package jp.aimslib2.database
 */
 
class AbstractSQLBuilder{
	
	/**
	 * AND,OR等Where文の中身を生成する。
	 */
	public static function createOptionCondition($param){
		return "";
	}


	/**
	 * 条件文の生成。set xxxx の、xxxxの部分を返す。
	 */
	public static function createSetValueOption($param){
		return "";
	}


	/**
	 * created 10/27/2002 by Yu.
	 * 条件文の生成。(xxx) values (xxx)の部分を返す。
	 */
	public static function createInsertValueOption($param){
		return "";
	}
	
	/**
	 * 対象となるレコードの先頭とレコード数を指定する文章を生成します。
	 * 不要なパラメータはnullを指定します。
	 */
	public static function createSubQuery($offset, $limit) {
		return "";
	}

}

?>